Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 252647 - dev-dotnet/mono-zeroconf-0.8 fails to build with mono-2.2
Summary: dev-dotnet/mono-zeroconf-0.8 fails to build with mono-2.2
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: dotnet
URL: https://bugzilla.novell.com/show_bug....
Whiteboard:
Keywords:
Depends on:
Blocks: 256261
  Show dependency tree
 
Reported: 2008-12-27 06:13 UTC by Peter Alfredsen (RETIRED)
Modified: 2009-05-21 23:56 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Small patch to make it compile (mono-zeroconf.patch,1.09 KB, patch)
2009-01-22 15:54 UTC, Paul de Vrieze (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Alfredsen (RETIRED) gentoo-dev 2008-12-27 06:13:23 UTC
Reminder:
make[2]: Entering directory `/var/tmp/portage/dev-dotnet/mono-zeroconf-0.8.0/work/mono-zeroconf-0.8.0/src/Mono.Zeroconf'
for i in 1.0 2.0 3.0; do        \
          echo "Creating policy.$i.Mono.Zeroconf";      \
          sed -e "s/@ASSEMBLY_NAME@/Mono.Zeroconf/g" -e "s/@POLICY@/$i/g" ../../src/policy.config > policy.$i.config;   \
          /usr/bin/al2 -link:policy.$i.config -out:policy.$i.Mono.Zeroconf.dll -keyfile:../../src/mono-zeroconf.snk; \
        done
Creating policy.1.0.Mono.Zeroconf
Creating policy.2.0.Mono.Zeroconf
Creating policy.3.0.Mono.Zeroconf
/usr/bin/gmcs -debug -keyfile:../../src/mono-zeroconf.snk -target:library -out:Mono.Zeroconf.dll ../../src/AssemblyInfo.cs ./Mono.Zeroconf/AddressProtocol.cs ./Mono.Zeroconf/IRegisterService.cs ./Mono.Zeroconf/IResolvableService.cs ./Mono.Zeroconf/IServiceBrowser.cs ./Mono.Zeroconf/IService.cs ./Mono.Zeroconf/ITxtRecord.cs ./Mono.Zeroconf/RegisterService.cs ./Mono.Zeroconf/RegisterServiceEventArgs.cs ./Mono.Zeroconf/RegisterServiceEventHandler.cs ./Mono.Zeroconf/ServiceBrowseEventArgs.cs ./Mono.Zeroconf/ServiceBrowseEventHandler.cs ./Mono.Zeroconf/ServiceBrowser.cs ./Mono.Zeroconf/ServiceResolvedEventArgs.cs ./Mono.Zeroconf/ServiceResolvedEventHandler.cs ./Mono.Zeroconf/ServiceErrorCode.cs ./Mono.Zeroconf/TxtRecord.cs ./Mono.Zeroconf/TxtRecordItem.cs ./Mono.Zeroconf.Providers/IZeroconfProvider.cs ./Mono.Zeroconf.Providers/ZeroconfProviderAttribute.cs ./Mono.Zeroconf.Providers/ProviderFactory.cs
make[2]: Leaving directory `/var/tmp/portage/dev-dotnet/mono-zeroconf-0.8.0/work/mono-zeroconf-0.8.0/src/Mono.Zeroconf'
Making all in Mono.Zeroconf.Providers.Bonjour
make[2]: Entering directory `/var/tmp/portage/dev-dotnet/mono-zeroconf-0.8.0/work/mono-zeroconf-0.8.0/src/Mono.Zeroconf.Providers.Bonjour'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/var/tmp/portage/dev-dotnet/mono-zeroconf-0.8.0/work/mono-zeroconf-0.8.0/src/Mono.Zeroconf.Providers.Bonjour'
Making all in Mono.Zeroconf.Providers.AvahiDBus
make[2]: Entering directory `/var/tmp/portage/dev-dotnet/mono-zeroconf-0.8.0/work/mono-zeroconf-0.8.0/src/Mono.Zeroconf.Providers.AvahiDBus'
/usr/bin/gmcs -unsafe -debug -target:library -out:Mono.Zeroconf.Providers.AvahiDBus.dll -r:../../src/Mono.Zeroconf/Mono.Zeroconf.dll -r:Mono.Posix ../../src/AssemblyInfo.cs ./Mono.Zeroconf.Providers.AvahiDBus/AvahiUtils.cs ./Mono.Zeroconf.Providers.AvahiDBus/BrowseService.cs ./Mono.Zeroconf.Providers.AvahiDBus/DBusManager.cs ./Mono.Zeroconf.Providers.AvahiDBus/EntryGroupState.cs ./Mono.Zeroconf.Providers.AvahiDBus/ErrorCode.cs ./Mono.Zeroconf.Providers.AvahiDBus/IAvahiEntryGroup.cs ./Mono.Zeroconf.Providers.AvahiDBus/IAvahiServer.cs ./Mono.Zeroconf.Providers.AvahiDBus/IAvahiServiceBrowser.cs ./Mono.Zeroconf.Providers.AvahiDBus/IAvahiServiceResolver.cs ./Mono.Zeroconf.Providers.AvahiDBus/LookupFlags.cs ./Mono.Zeroconf.Providers.AvahiDBus/LookupResultFlags.cs ./Mono.Zeroconf.Providers.AvahiDBus/Protocol.cs ./Mono.Zeroconf.Providers.AvahiDBus/PublishFlags.cs ./Mono.Zeroconf.Providers.AvahiDBus/RegisterService.cs ./Mono.Zeroconf.Providers.AvahiDBus/Service.cs ./Mono.Zeroconf.Providers.AvahiDBus/ServiceBrowser.cs ./Mono.Zeroconf.Providers.AvahiDBus/TxtRecord.cs ./Mono.Zeroconf.Providers.AvahiDBus/ZeroconfProvider.cs ./NDesk.DBus/Address.cs ./NDesk.DBus/Authentication.cs ./NDesk.DBus/Bus.cs ./NDesk.DBus/BusObject.cs ./NDesk.DBus/Connection.cs ./NDesk.DBus/DBus.cs ./NDesk.DBus/DProxy.cs ./NDesk.DBus/ExportObject.cs ./NDesk.DBus/Introspection.cs ./NDesk.DBus/IntrospectionSchema.cs ./NDesk.DBus/Mapper.cs ./NDesk.DBus/MatchRule.cs ./NDesk.DBus/Message.cs ./NDesk.DBus/MessageFilter.cs ./NDesk.DBus/MessageReader.cs ./NDesk.DBus/MessageWriter.cs ./NDesk.DBus/PendingCall.cs ./NDesk.DBus/Protocol.cs ./NDesk.DBus/Server.cs ./NDesk.DBus/Signature.cs ./NDesk.DBus/SocketTransport.cs ./NDesk.DBus/Transport.cs ./NDesk.DBus/TypeDefiner.cs ./NDesk.DBus/TypeImplementer.cs ./NDesk.DBus/UnixMonoTransport.cs ./NDesk.DBus/UnixNativeTransport.cs ./NDesk.DBus/UnixTransport.cs ./NDesk.DBus/Wrapper.cs
./Mono.Zeroconf.Providers.AvahiDBus/RegisterService.cs(35,18): error CS0737: `Mono.Zeroconf.Providers.AvahiDBus.RegisterService' does not implement interface member `Mono.Zeroconf.IRegisterService.Name.set' and the best implementing candidate `Mono.Zeroconf.Providers.AvahiDBus.Service.Name' in not public
/var/tmp/portage/dev-dotnet/mono-zeroconf-0.8.0/work/mono-zeroconf-0.8.0/src/Mono.Zeroconf/Mono.Zeroconf.dll (Location of the symbol related to previous error)
./Mono.Zeroconf.Providers.AvahiDBus/Service.cs(68,23): (Location of the symbol related to previous error)
./Mono.Zeroconf.Providers.AvahiDBus/RegisterService.cs(35,18): error CS0737: `Mono.Zeroconf.Providers.AvahiDBus.RegisterService' does not implement interface member `Mono.Zeroconf.IRegisterService.RegType.set' and the best implementing candidate `Mono.Zeroconf.Providers.AvahiDBus.Service.RegType' in not public
/var/tmp/portage/dev-dotnet/mono-zeroconf-0.8.0/work/mono-zeroconf-0.8.0/src/Mono.Zeroconf/Mono.Zeroconf.dll (Location of the symbol related to previous error)
./Mono.Zeroconf.Providers.AvahiDBus/Service.cs(73,23): (Location of the symbol related to previous error)
./Mono.Zeroconf.Providers.AvahiDBus/RegisterService.cs(35,18): error CS0737: `Mono.Zeroconf.Providers.AvahiDBus.RegisterService' does not implement interface member `Mono.Zeroconf.IRegisterService.ReplyDomain.set' and the best implementing candidate `Mono.Zeroconf.Providers.AvahiDBus.Service.ReplyDomain' in not public
/var/tmp/portage/dev-dotnet/mono-zeroconf-0.8.0/work/mono-zeroconf-0.8.0/src/Mono.Zeroconf/Mono.Zeroconf.dll (Location of the symbol related to previous error)
./Mono.Zeroconf.Providers.AvahiDBus/Service.cs(78,23): (Location of the symbol related to previous error)
Compilation failed: 3 error(s), 0 warnings
make[2]: *** [Mono.Zeroconf.Providers.AvahiDBus.dll] Error 1
make[2]: Leaving directory `/var/tmp/portage/dev-dotnet/mono-zeroconf-0.8.0/work/mono-zeroconf-0.8.0/src/Mono.Zeroconf.Providers.AvahiDBus'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-dotnet/mono-zeroconf-0.8.0/work/mono-zeroconf-0.8.0/src'
make: *** [all-recursive] Error 1
Comment 1 Paul de Vrieze (RETIRED) gentoo-dev 2009-01-22 15:54:49 UTC
Created attachment 179346 [details, diff]
Small patch to make it compile

This patch fixes the source by making the needed property setters public. This is not really a clean fix, but I don't know enough about the underlying semantics to do that.
Comment 2 Peter Alfredsen (RETIRED) gentoo-dev 2009-01-25 13:31:20 UTC
(In reply to comment #1)
> Created an attachment (id=179346) [edit]
> Small patch to make it compile
> 
> This patch fixes the source by making the needed property setters public. This
> is not really a clean fix, but I don't know enough about the underlying
> semantics to do that.

Thank you Paul. Do you agree to license this under the MIT/X11 license so  upstream can use it?

Reference MIT/X11 license:
Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE
FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2009-01-29 22:50:25 UTC
Paul: ping?
Comment 4 Peter Alfredsen (RETIRED) gentoo-dev 2009-04-27 21:37:50 UTC
(In reply to comment #3)
> Paul: ping?
> 

Paul: Ping? 
Do you agree to license this under the MIT/X11 license so upstream can use it? (See above)
Comment 5 Peter Alfredsen (RETIRED) gentoo-dev 2009-05-21 23:56:38 UTC
Fixed, mono-zeroconf-0.9 is in tree.